KERNEL-BOOTCFG(1)

NAME
kernel-bootcfg - manual page for kernel-bootcfg 25.10

DESCRIPTION
usage: kernel-bootcfg [-h] [-l LEVEL] [--vars FILE] [--show] [-v]

[--add-uki FILE] [--update-uki FILE] [--remove-uki FILE]
    [--cmdline CMDLINE] [--boot-ok] [--update-csv] [--add-uri URI] [--remove-entry NNNN] [--once] [--boot-order POS] [--dry-run] [--title TITLE] [--shim FILE] [--print-loader]

Show and manage uefi boot entries.

  options:

-h, --help
    show this help message and exit

-l, --loglevel LEVEL
    set loglevel to LEVEL

--vars FILE
    read edk2 vars from FILE

--show
    print boot configuration

-v, --verbose
    print more details

  update unified kernel image (UKI) boot entries:

--add-uki FILE
    add boot entry for UKI image FILE

--update-uki FILE
    update boot entry for UKI image FILE

--remove-uki FILE
    remove boot entry for UKI image FILE

--cmdline CMDLINE
    override UKIs cmdline when adding boot entry (ignored when Secure Boot is enabled)

--boot-ok, --boot-successful
    boot is successful, add BootCurrent to BootOrder.

--update-csv
    update BOOT.CSV

  update other boot entries:

--add-uri URI
    add boot entry to netboot URI

--remove-entry NNNN
    add remove entry NNNN

  options for boot entry updates:

--once, --boot-next
    boot added/updated entry once (using BootNext)

--boot-order POS
    place added/updated entry at POS in BootOrder (0 is first)

--dry-run
    do not actually update the configuration

--title TITLE
    label the entry with TITLE

--shim FILE
    use shim binary FILE

  print system information:

--print-loader
    print boot loader name

AUTHOR

Gerd Hoffmann <kraxel@redhat.com>